Package com.google.android.exoplayer2.extractor.ts

## Class TsPayloadReader.EsInfo

- java.lang.Object
- - com.google.android.exoplayer2.extractor.ts.TsPayloadReader.EsInfo

- Enclosing interface:
    TsPayloadReader

      public static final class TsPayloadReader.EsInfo
      extends Object

  Holds information associated with a PMT entry.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `descriptorBytes` |
    `List<TsPayloadReader.DvbSubtitleInfo>` | `dvbSubtitleInfos` |
    `String` | `language` |
    `int` | `streamType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EsInfo​(int streamType, String language, List<TsPayloadReader.DvbSubtitleInfo> dvbSubtitleInfos, byte[] descriptorBytes)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### streamType

          public final int streamType

    - #### language

          @Nullable
          public final String language

    - #### dvbSubtitleInfos

          public final List<TsPayloadReader.DvbSubtitleInfo> dvbSubtitleInfos

    - #### descriptorBytes

          public final byte[] descriptorBytes

  - ### Constructor Detail

    - #### EsInfo

          public EsInfo​(int streamType,
                        @Nullable
                        String language,
                        @Nullable
                        List<TsPayloadReader.DvbSubtitleInfo> dvbSubtitleInfos,
                        byte[] descriptorBytes)

      Parameters:
        `streamType` - The type of the stream as defined by the `TsExtractor``.TS_STREAM_TYPE_*`.
        `language` - The language of the stream, as defined by ISO/IEC 13818-1, section 2.6.18.
        `dvbSubtitleInfos` - Information about DVB subtitles associated to the stream.
        `descriptorBytes` - The descriptor bytes associated to the stream.